# Directory containing class headers.
SET(VTK_POINTSPRITE_GRAPHICS_HEADER_DIR "${VTK_INSTALL_PREFIX}/include/paraview-3.10")

# Classes in vtkPointSprite_Graphics.
SET(VTK_POINTSPRITE_GRAPHICS_CLASSES
  "vtkCellPointsFilter"
  "vtk1DLookupTableTransferFunction"
  "vtk1DTransferFunction"
  "vtk1DTransferFunctionChooser"
  "vtk1DTransferFunctionFilter"
  "vtk1DGaussianTransferFunction")

# Abstract classes in vtkPointSprite_Graphics.
SET(VTK_POINTSPRITE_GRAPHICS_CLASSES_ABSTRACT)

# Wrap-exclude classes in vtkPointSprite_Graphics.
SET(VTK_POINTSPRITE_GRAPHICS_CLASSES_WRAP_EXCLUDE)

# Wrap-special classes in vtkPointSprite_Graphics.
SET(VTK_POINTSPRITE_GRAPHICS_CLASSES_WRAP_SPECIAL)

# Wrappable non-class headers for vtkPointSprite_Graphics.
SET(VTK_POINTSPRITE_GRAPHICS_WRAP_HEADERS)

# Set convenient variables to test each class.
FOREACH(class ${VTK_POINTSPRITE_GRAPHICS_CLASSES})
  SET(VTK_CLASS_EXISTS_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_POINTSPRITE_GRAPHICS_CLASSES_ABSTRACT})
  SET(VTK_CLASS_ABSTRACT_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_POINTSPRITE_GRAPHICS_CLASSES_WRAP_EXCLUDE})
  SET(VTK_CLASS_WRAP_EXCLUDE_${class} 1)
ENDFOREACH(class)
FOREACH(class ${VTK_POINTSPRITE_GRAPHICS_CLASSES_WRAP_SPECIAL})
  SET(VTK_CLASS_WRAP_SPECIAL_${class} 1)
ENDFOREACH(class)
